<%@ LANGUAGE=VBSCRIPT %>
<% Option Explicit %>
<html>

<head>
<meta http-equiv="Content-Type"
content="text/html; charset=iso-8859-1">
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<title></title>
</head>

<body>

<h1 align="center">RmtCmd Automation Object&nbsp;</h1>
<p> Consider using ADO and a stored procedure (or a stored procedure call to
QCMDEXC) instead.&nbsp; The connection pooling will significantly reduce AS/400
CPU use and response time.&nbsp; You must specify prompt mode of never.&nbsp;
You should also consider setting the options to bypass DNS lookup and to bypass
port mapper lookup.&nbsp;&nbsp; </p>
<p> &nbsp; </p>
<p> Connect String: <% Response.Write Session("AS400_SystemName") & ", " & Session("AS400_Userid") %> </p>

<h1 align="center">Test Results</h1>
<div align="center"> <p>
<!-- Import the Client Access enums and constants from the type lib -->
<!-- METADATA TYPE="typelib" UUID="AD8D8CE0-15D3-11D2-849C-0004AC94E175" NAME="IBM AS/400 Client Access Express ActiveX Object Library" -->

<%
	Dim SysObj 
   	Dim cmd
 	Dim cmdText 
	
	cmdText = "DSPJOB OUTPUT(*PRINT)"
	'Create objects 
	On Error Resume Next
   	Set SysObj = Server.CreateObject("cwbx.AS400System")
   	ChkErr 0
	Set cmd = Server.CreateObject("cwbx.Command")
	ChkErr 0
	'Set stringCvtr = Server.CreateObject("cwbx.StringConverter")
	
	   
   'Logon setting noprompt to Never (NOTE:  Either define cwbcoPromptNever or use the value 2.  
   ' Not using Option Explicit can define an incorrect value for cwbcoPromptNever   
   	SysObj.Define Session("AS400_SystemName")      
   	ChkErr SysObj.Errors
	SysObj.UserID = Session("AS400_Userid")
   	SysObj.PassWord = Session("AS400_Password")
	SysObj.PromptMode = cwbcoPromptNever					'MUST BE NEVER FOR 3 TIER
	'The following options improve performance 
	'as400.PortLookupMode = cwbcoPortLookupStandard		'Use standard port number instead of always using port mapper lookup
   'as400.IPAddressLookupMode = cwbcoIPAddrLookupNever 'You can avoid the DNS lookup by adding the name to the local host table or use an IP address as the system name

	'Start the as/400 job   
   	SysObj.Connect cwbcoServiceRemoteCmd
	ChkErr SysObj.Errors
	Response.write  "Connected <br>"
	
	
	'Run the command
   	Set cmd.System = SysObj
   	ChkErr cmd.Errors
   
   cmd.Run cmdText 
   if err.Number = 0 then
      Response.write  "Executed command """ & cmdText & """ successfully <br>"
   else 
   	  ChkErr cmd.Errors
   	end if
   
' Cleanup
On Error Resume Next
'Set stringCvtr = Nothing
Set cmd = Nothing
Set SysObj = Nothing
Response.End

'**************************************************************************************
'***
'***   Subroutine DisplayError
'***
'**************************************************************************************
Sub ChkErr(cwbErrs)
	Dim cwbErr
	If err.Number = 0 then exit sub
	
    Response.Write("<br>VB Error Number: <b>" & err.Number & " [0x" & Hex(err.NumBer) & "]</b>")
    Response.Write("<br>Err.Description: <b>" & err.Description & "</b>")
    Response.Write("<br>Err.Source: <b>" & err.Source & "</b>")

    if InStr(TypeName(cwbErrs), "IcwbxErrors") > 0 then
      Response.Write( "<br> Client Access return code:  " & cwbErrs.ReturnCode)

		' Display any Client Access Messages returned
		For Each cwbErr In cwbErrs
    		Response.Write( "<br>   " & cwbErr.Text)
  		Next
	 End if
	Response.Write( "<br>" )

	'You can signal a custom error to the browser and log the error in the IIS log
	'Err.Raise 64999, "rmtcmd.ASP", " Test returned incorrect data!"  
	'Response.Status = "500 ASP page failed" 
	'must enable the URI Query option of the Extended Logging Properties sheet for the site whose activity you wish to log. 
	Response.AppendToLog "Error in rmtcmd script"
	

End Sub

%>
</p>
</div>
</body>
</html>

