<%Option Explicit%>
<HTML>
<HEAD>
<!--

                       LICENSE AND DISCLAIMER

 This material contains IBM copyrighted sample programming source
 code for your consideration.  This sample code has not been
 thoroughly tested under all conditions.  IBM, therefore, cannot
 guarantee or imply reliability, serviceability, or function.
 IBM provides no program services for this material. This material
 is provided "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR
 IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.  SOME
 JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO
 THE ABOVE EXCLUSIONS MAY NOT APPLY TO YOU.  IN NO EVENT WILL IBM
 BE LIABLE TO ANY PARTY FOR ANY DIRECT, INDIRECT, SPECIAL OR OTHER
 CONSEQUENTIAL DAMAGES FOR ANY USE OF THIS MATERIAL INCLUDING,
 WITHOUT LIMITATION, ANY LOST PROFITS, BUSINESS INTERRUPTION, LOSS
 OF PROGRAMS OR OTHER DATA ON YOUR INFORMATION HANDLING SYSTEM OR
 OTHERWISE, EVEN IF EXPRESSLY ADVISED OF THE POSSIBILITY OF SUCH
 DAMAGES.


                          COPYRIGHT
                          ---------
               (C) Copyright IBM CORP. 1999, 2000
               All rights reserved.
               US Government Users Restricted Rights -
               Use, duplication or disclosure restricted
               by GSA ADP Schedule Contract with IBM Corp.
               Licensed Material - Property of IBM

-->
<!-- METADATA TYPE="typelib" UUID="AD8D8CE0-15D3-11D2-849C-0004AC94E175" NAME="IBM AS/400 Client Access Express ActiveX Object Library" -->
<TITLE>Version Active Server Page Sample</TITLE>
</HEAD>
<body bgcolor="#FFFFFF">

<%
'This ASP displays the version information for the various components involved in ASP processing
'and accessing data on the AS/400 server

On Error Resume Next
Dim CAVer			'Client Access Version in the form "vrm"

'Display session variables
Dim SesVals
response.write "<h3>Current Session Variables</h3>"
SesVals = "Session ID: " & Session.SessionID & "<br>"
SesVals = SesVals & "System: " & Trim(Session("AS400_SystemName")) & "<br>"
SesVals = SesVals & "User profile: " & Trim(Session("AS400_Userid")) & "<br>"
SesVals = SesVals & "Password: xxxxxx" & "<br>" 	'& Trim(Session("AS400_Password")) & "<br>"
SesVals = SesVals & "Library: " & Trim(Session("Library")) & "<br>"
SesVals = SesVals & "file: " & Trim(Session("FileName")) & "<br>"
SesVals = SesVals & "ODBC DSN:" & Trim(Session("ODBC_DataSourceName")) & "<br>"
response.write SesVals

'Script engine version 
response.write "<hr>" 
response.write "<h3>Script Engine Information</h3>"
response.write "scripting engine=<b>" & scriptengine() & "</b><br>"
response.write "buildversion=<b>" & scriptenginebuildversion() & "</b><br>"
response.write "majorversion=<b>" & scriptenginemajorversion() & "</b><br>"
response.write "minorversion=<b>" & scriptengineminorversion() & "</b><br>"

'ADO version
Dim tempconn		
Err.Clear
response.write "<hr>" 
response.write "<h3>ADO Version Information</h3>"
set tempconn=server.createobject("adodb.connection")
if (Err.Number = 0) Then
	response.write "ado version=<b>" 
	response.write tempconn.version & "</b><br>"
	set tempconn=nothing
else
   response.write "<font color=#ff0020>Unable to create ado connection object.  MDAC install may be corrupted.</font><br>"
	Response.Write("<br>VB Error Number: <b>" & err.Number & " [0x" & Hex(err.NumBer) & "]</b>")
	Response.Write("<br>Err.Description: <b>" & err.Description & "</b>")
	Response.Write("<br>Err.Source: <b>" & err.Source & "</b>")
	Response.Write("<br>Refer to www.microsoft.com/data for further information.")
end if


'Client Access/400 Version and components
dim ca400
Err.Clear
response.write "<hr>"
response.write "<h3>Client Access Information</h3>"
set ca400 = server.createobject("cwbx.ClientInfo")
CAVer = (ca400.ClientVersion * 100) + (ca400.ClientRelease * 10)			'Save off a numeric version number
response.write "Version: <b>V" & ca400.ClientVersion & "R" & ca400.ClientRelease & "M" & ca400.ClientModificationLevel  & "</b><br>"
response.write "Fix Level: <b>" & ca400.ClientFixLevel & "</b>"
if	ChkCASP(ca400.ClientVersion, ca400.ClientRelease, ca400.ClientFixLevel) = False then
	response.write " <font color=#ff0020> <b> DOWNLEVEL  Please apply service pack</b></font><br>"
else
	response.write "<br>"
end if
response.write "Installed Components: <br>"
response.write "&nbsp &nbsp Toolkit: <b>" & ca400.ComponentInstallStatus(cwbadCompToolkit) & "</b> <br>"
response.write "&nbsp &nbsp ODBC Driver: " 
if ca400.ComponentInstallStatus(cwbadCompODBC) then
	response.write "<b>" & ca400.ComponentInstallStatus(cwbadCompODBC) & "</b><br>"
else
	response.write "<font color=#ff0020> <b>" & ca400.ComponentInstallStatus(cwbadCompODBC) & "</b></font> <br>"
end if
response.write "&nbsp &nbsp OLE/DB Provider: "
if ca400.ComponentInstallStatus(cwbadCompOLEDB) then
	response.write "<b>" & ca400.ComponentInstallStatus(cwbadCompOLEDB) & "</b><br>"
else
	response.write "<font color=#ff0020> <b>" & ca400.ComponentInstallStatus(cwbadCompOLEDB) & "</b></font> <br>"
end if
set ca400 = Nothing

'AS400 Version & System Connection Information
Dim as400
Err.Clear
response.write "<hr>"
response.write "<h3>System and Connection Information</h3>"
set as400 = server.createobject("cwbx.AS400System")
as400.Define  Session("AS400_SystemName")
as400.userid = Session("AS400_Userid")
as400.password = Session("AS400_Password")
as400.promptmode = cwbcoPromptNever
as400.Signon
response.write "System name: " & Session("AS400_SystemName") & "<br>"
if (Err.Number = 0) Then
   	response.write "Version: <b>V" & as400.HostVersion & "R" & as400.HostRelease & "</b><br>"
   	response.write "IP Address: <b>" & as400.IPAddress & "</b><br>"
   	'For advanced options read the default values out of the registry.
	response.write "Port Lookup Mode: <b>" & GetPortLookupModeEnum( _
	   GetKeyValue("HKEY_USERS\.DEFAULT\Software\IBM\Client Access Express\CurrentVersion\Environments\My AS/400 Connections\" & _
	   				Trim(Session("AS400_SystemName")) & "\Communication\Port lookup mode") ) & "</b><br>"
	response.write "IP Address Lookup Mode: <b>" & GetIPLookupModeEnum( _
	   GetKeyValue("HKEY_USERS\.DEFAULT\Software\IBM\Client Access Express\CurrentVersion\Environments\My AS/400 Connections\" & _
	   				Trim(Session("AS400_SystemName")) & "\Communication\IP address lookup mode") ) & "</b><br>"	   				
	response.write "Prompt Mode: <b>" & GetSignonModeEnum( _
	   GetKeyValue("HKEY_USERS\.DEFAULT\Software\IBM\Client Access Express\CurrentVersion\Environments\My AS/400 Connections\" & _
	   				Trim(Session("AS400_SystemName")) & "\Communication\Signon Mode") ) & "</b><br>"	   				
	response.write "Default User: <b>" & GetUserName( _
	   GetKeyValue("HKEY_USERS\.DEFAULT\Software\IBM\Client Access Express\CurrentVersion\Environments\My AS/400 Connections\" & _
	   				Trim(Session("AS400_SystemName")) & "\Communication\User ID") ) & "</b><br>"	   				
	   				
   response.write "Codepage: <b>" & as400.HostCodePage & "</b><br>"
   response.write "Last Signed On: <b>" & as400.PrevSignonDate & "</b><br>"
else
   response.write "<font color=#ff0020>Could not retreive AS/400 Version information.</font><br>"
   response.write "Number of errors: " & as400.Errors.Count & "<br>"
   response.write "<table border=1 cellpadding=1 cellspacing=0>"
   response.write "<tr><td>Class</td><td>Text</td></tr>"
   Dim as400Error
   for each as400Error in as400.Errors
       response.write "<tr><td>" & as400Error.Class & "</td><td>" & as400Error.Text & "</td></tr>"
   next
   response.write "</table>"
end if
set as400 = Nothing

'IIS
Dim serversoftware
response.write "<hr>" 
response.write "<h3>IIS Information</h3>"
serversoftware=request.servervariables("server_software")
response.write "server software=<b>" 
response.write serversoftware & "</b><br>"

Response.Write "Script Timeout = <b>" & Server.ScriptTimeout & " seconds</b><br>"
Response.Write "Session Timeout = <b>" & Session.Timeout & " minutes</b><br>"

'ODBC DSN
Dim WSH
response.write "<hr>"
response.write "<h3>ODBC Data Source Information</h3>"
response.write "ODBC DSN: " & Session("ODBC_DataSourceName") & "<br>"
Err.Clear
Set WSH = CreateObject("Wscript.Shell")
if Err.Number <> 0 then	'Windows scripting host is optional on NT 4.
	response.write "Windows scripting host not installed.  Unable to validate datasource. <br>"
	Response.Write("Error Number: <b>" & err.Number & " [0x" & Hex(err.NumBer) & "]</b><br>")
	Response.Write("Err.Description: <b>" & err.Description & "</b><br>")
	Response.Write("Err.Source: <b>" & err.Source & "</b><br>")
else
	'Verify it is a system datasource and not a user DSN
	Dim RegVal
	RegVal = wsh.RegRead("HKLM\Software\ODBC\ODBC.INI\" & Trim(Session("ODBC_DataSourceName")) & "\System")
	if Err.Number = 0 then
		response.write "System DSN: <b>Yes</b><br>"
		response.write "AS/400 system name: <b>" & RegVal & "</b><br>"
		if StrComp(RegVal, Trim( Session("AS400_SystemName") ), 1) <> 0 then
				response.write "&nbsp &nbspWarning: System name in data source does not match system name supplied on form (" & Session("AS400_SystemName") & ")<br>"
		end if				
		Response.Write "Signon Mode: <b>" & GetODBCSignonEnum( _
							GetKeyValue("HKLM\Software\ODBC\ODBC.INI\" & Trim(Session("ODBC_DataSourceName")) & "\Signon") ) & "</b><br>"
		Err.Clear 'Signon key isn't created unless set to something other then default
		Response.Write "Default User: <b>" 
		Response.Write wsh.RegRead("HKLM\Software\ODBC\ODBC.INI\" & Trim(Session("ODBC_DataSourceName")) & "\UserID") 
		Response.Write "</b><br>"
		If CAVer = 440 then
			response.write "Note: R440 ODBC can still prompt (causing a hang) if an application uses the SQLConnect API " & _
								"and the application provides insufficient or incorrect signon information.  " & _
								"Consider upgrading to newer version of Client Access if you have such an application. <br>"
		else
			Err.Clear
			Response.Write "SQLConnectPromptMode: "
			RegVal = wsh.RegRead("HKLM\Software\ODBC\ODBC.INI\" & Trim(Session("ODBC_DataSourceName")) & "\SQLConnectPromptMode")		
			if Err.Number <> 0 OR  StrComp(Trim(RegVal), "1", 1) <> 0 then
				response.write "<font color=#ff0020><b>Value is not set.</b></font><br>"
				response.write "This value should be set.  Use the <a href=""DSNOption.asp"">Disable Prompting</a> link to set this value. <br>"
			else
				response.write "<b>Value is set.</b><br>"
			end if
			if CAVer = 450 then
				response.write "Note: Apar SA91323 added R450 support for a SQLConnectPromptMode property.  " &  _
							"This property prevents prompting (and possible hangs) if incorrect signon information is " & _
							"supplied on the SQLConnect API.  This property must be set for some applications to function. " & _
							"A PTF had not been assigned when this sample was created. The status of the APAR can be checked " & _
							"at the <a href=""http://as400service.rochester.ibm.com/"">service web site</a>. <br>"
			else	'Future version
			end if	'end 450 if
		end if	'end 440 if
	else	'Unable to read DSN registry entry else
		response.write "<font color=#ff0020><b>The DNS name is not a valid System data source or IIS is no longer authorized to that part of the registry! </b></font><br>"
	end if	'end First Err.Number if
end if	'end WSH installed if
Set WSH = Nothing

Response.End

'**************************************************************************************
'***   Subroutine to check CA service pack level
'**************************************************************************************
Function ChkCASP(V, R, ptf)		
	ChkCASP = FALSE		'Assuming it fails the check	
	'Check for Service Pack "none"
	if (Not IsNumeric(V) or Not IsNumeric(R) or Not IsNumeric( Mid(ptf, 3) )  ) then
		Exit Function		
	end if
		
	if (V = 4 and R = 4) then			'V4R4M0
		if Mid(ptf, 3) >= 63638 then   'SF63638 or later
			ChkCASP = TRUE
		end if
	elseif (V = 4 and R = 5) then 		'V4R5M0
		if Mid(ptf, 3) >= 62213 then	'All service packs
			ChkCASP = TRUE
		end if
	else
		'Assume all future releases require only the first service pack.
		ChkCASP = TRUE
	end if	
End Function

'**************************************************************************************
'Return string description of cwbPortLookupModeEnum
'**************************************************************************************
Function GetPortLookupModeEnum(Mode)
	Select Case Mode
		Case cwbcoPortLookupServer				'0
			GetPortLookupModeEnum = "cwbcoPortLookupServer"
		Case cwbcoPortLookupLocal				'1
			GetPortLookupModeEnum = "cwbcoPortLookupLocal"
		Case cwbcoPortLookupStandard			'2
			GetPortLookupModeEnum = "cwbcoPortLookupStandard"
		Case "-2"
			'-2 used to indicate key does not exists or unauthorized to read
			'   Either way default will be used.
			GetPortLookupModeEnum = "default - cwbcoPortLookupServer"
		Case Else
			GetPortLookupModeEnum = "Unknown PortLookup"
	End Select
End Function

'**************************************************************************************
'Return string description of cwbcoIPAddrLookupModeEnum
'**************************************************************************************
Function GetIPLookupModeEnum(Mode)
	Select Case Mode
		Case cwbcoIPAddrLookupAlways			'0
			GetIPLookupModeEnum = "cwbcoIPAddrLookupAlways"
		Case cwbcoIPAddrLookup1Hour				'1
			GetIPLookupModeEnum = "cwbcoIPAddrLookup1Hour"
		Case cwbcoIPAddrLookup1Day				'2
			GetIPLookupModeEnum = "cwbcoIPAddrLookup1Day"
		Case cwbcoIPAddrLookup1Week				'3
			GetIPLookupModeEnum = "cwbcoIPAddrLookup1Week"
		Case cwbcoIPAddrLookupNever				'4
			GetIPLookupModeEnum = "cwbcoIPAddrLookupNever"
		Case cwbcoIPAddrLookupAfterStartup		'5
			GetIPLookupModeEnum = "cwbcoIPAddrLookupAfterStartup"
		Case "-2"
			'-2 used to indicate key does not exists or unauthorized to read
			'   Either way default will be used.
			GetIPLookupModeEnum = "default - cwbcoIPAddrLookupAlways"
		Case Else
			GetIPLookupModeEnum = "Unknown IP Address Lookup"
	End Select
End Function

'**************************************************************************************
'Return string description of system object Signon Mode
'**************************************************************************************
Function GetSignonModeEnum(Mode)
	Select Case Mode
		Case 3
			GetSignonModeEnum = "Use Windows (Usually ignored for NT Service)"
		Case 2
			GetSignonModeEnum = "Prompt every time (Not recommended for NT Service)"
		Case 1
			GetSignonModeEnum = "Use Default User ID, prompt as needed"
		Case "-2"
			'-2 used to indicate key does not exists or unauthorized to read
			'   Either way default will be used.
			GetSignonModeEnum = "default"
		Case Else
			GetSignonModeEnum = "Unknown signon mode"
	End Select
End Function

'**************************************************************************************
'Return Default User
'**************************************************************************************
Function GetUserName(Mode)
	Select Case Mode
		Case "-1"
			GetUserName = "(Error reading Default User)"
		Case "-2"
			'-2 used to indicate key does not exists or unauthorized to read
			'   Either way default will be used.
			GetUserName = "(no default user)"
		Case Else
			GetUserName = Mode
	End Select	
End Function

'**************************************************************************************
'Return string description of ODBC Signon option
'**************************************************************************************
Function GetODBCSignonEnum(Mode)
	Select Case Mode
		Case 3
			GetODBCSignonEnum = "Use OpNav"
		Case 2
			GetODBCSignonEnum = "Prompt every time (Not recommended for NT Service)"
		Case 1
			GetODBCSignonEnum = "Use Default User ID, prompt as needed"
		Case 0
			GetODBCSignonEnum = "Use Windows (Usually ignored for NT Service)"
		Case "-2"
			'-2 used to indicate key does not exists or unauthorized to read
			'   Either way default will be used.
			GetODBCSignonEnum = "Default (Use OpNav)"		'Key isn't created unless needed.
		Case Else
			GetODBCSignonEnum = "Error reading key"
	End Select
End Function


'**************************************************************************************
'Attempt to read specified key
'**************************************************************************************
Function GetKeyValue(KeyName)
	'Return registry key.  Most ODBC keys are string type (even numeric ones)
	'	"-1" is used if unable to create the wscript shell object to attempt a read
	'	"-2" is used to indicate that the key does not exist.

	Dim WSH
	GetKeyValue = ""
	On Error Resume Next 
	
	Set WSH = CreateObject("Wscript.Shell")
	if Err.Number <> 0 then
		GetKeyValue = "-1"			'Unable to read registry so unknown value
	else
		GetKeyValue = wsh.RegRead(KeyName)
		if Err.Number <> 0 then
			GetKeyValue = "-2"		'Key does not exist (or not authorized?) so default value is used.
		end if
	end if
	Set WSH = Nothing	
	'response.write	"GetKeyValue returned: " & GetKeyValue & " for " & KeyName & "<br>"
End Function

%>


</BODY>
</HTML>